This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 718317 (asforza4)

Summary: Review Request: asforza4 - 4-in-a-row in a dockapp
Product: [Fedora] Fedora Reporter: Mario Blättermann <mario.blaettermann>
Component: Package ReviewAssignee: Matthias Runge <mrunge>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: martin.gieseking, mrunge, notting, package-review
Target Milestone: ---Flags: mrunge: fedora‑review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-15 04:25:12 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    
Attachments:
Description Flags
move themes and guile files to /usr/share/asforza4 none

Description Mario Blättermann 2011-07-01 15:11:40 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/asforza4.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/asforza4-2.10-1.fc15.src.rpm
Description:
asforza4 is a dockable applet for the desktop manager Afterstep, WindowMaker,
Blackbox and any other which can handle dockapps.
Forza 4 is the italian name of the 4-in-a-row (or 4-in-line) game.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3174957

There is still a problem building the package for x86_64. It needs the Pascal compiler, and the compiler call is hardcoded as "ppc86" in the Makefile, that's why I've patched it. But there seems to be another obstacle. Please have a look at the build logs.
Comment 1 Martin Gieseking 2011-07-02 04:32:05 EDT
Hi Mario, here are some initial comments:

- The package doesn't build for x86_64 because of the missing compiler flag 
  -fPIC. You can fix it this way:
  * add $(OPT) to all lines calling "gcc -shared" in the Makefiles
  * replace OPT='%{optflags}' with OPT='%{optflags} -fPIC' in your spec file

- You also must ensure that the plugins get installed below %{_libdir}. 
  Currently, they always go to /usr/lib (should be /usr/lib64 on x86_64).
  * add ASLIBDIR='%{_libdir}/%{name}' to the make statement in %build
  * add ASLIBDIR="$RPM_BUILD_ROOT/%{_libdir}/%{name}" in %install
  
- There's an "index out of bounds" warning that can lead to a segfault. Thus, 
  I suggest to fix this by dropping the "+1" in line 1832 of 
  asforca4/asforca4.c. If upstream is still alive, please report it upstream.
  There are also some further warnings that require some further attention
  by the author.

- I think the themes and guile files should be moved from %{_libdir}/%name to
  %{_datadir}/%name
 
- add short comments above the PatchX line(s)

- drop INSTALL from %doc

- fix the version number in the %changelog entry

There are a few further issues to be fixed. I'll have a look into them later.
Comment 2 Mario Blättermann 2011-07-03 06:30:21 EDT
(In reply to comment #1)
> Hi Mario, here are some initial comments:
> 
> - The package doesn't build for x86_64 because of the missing compiler flag 
>   -fPIC. You can fix it this way:
>   * add $(OPT) to all lines calling "gcc -shared" in the Makefiles
>   * replace OPT='%{optflags}' with OPT='%{optflags} -fPIC' in your spec file
> 
Hm, there's no "-shared" switch in the Makefile.

> - You also must ensure that the plugins get installed below %{_libdir}. 
>   Currently, they always go to /usr/lib (should be /usr/lib64 on x86_64).
>   * add ASLIBDIR='%{_libdir}/%{name}' to the make statement in %build
>   * add ASLIBDIR="$RPM_BUILD_ROOT/%{_libdir}/%{name}" in %install
>
Done. 
> - There's an "index out of bounds" warning that can lead to a segfault. Thus, 
>   I suggest to fix this by dropping the "+1" in line 1832 of 
>   asforca4/asforca4.c. If upstream is still alive, please report it upstream.
>   There are also some further warnings that require some further attention
>   by the author.
> 
Patch applied. But upstream is dead (as usual...).

> - I think the themes and guile files should be moved from %{_libdir}/%name to
>   %{_datadir}/%name
> 
How can I do so? Patching the Makefile?

> - add short comments above the PatchX line(s)
> 
Done for the segfault patch.

> - drop INSTALL from %doc
> 
Done.
> - fix the version number in the %changelog entry
> 
Done.

I've removed the conditional patch for the ppc386 call in the Makefile, because architecture dependent patches are not allowed (rpmlint told me so). My idea was a sed command to change this line conditionally. But I've no idea how "sed" works... Of course, for now the x86_64 build still fails.

New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/asforza4.spec
SRPM URL:
http://mariobl.fedorapeople.org/Review/SRPMS/asforza4-2.10-2.fc15.src.rpm
Comment 3 Martin Gieseking 2011-07-03 07:54:45 EDT
(In reply to comment #2)
> Hm, there's no "-shared" switch in the Makefile.

There are some additional Makefiles in the plugin subfolders (asforza4/plugin/asf4*/). They call gcc with option -shared.


> > - I think the themes and guile files should be moved from %{_libdir}/%name to
> >   %{_datadir}/%name
> > 
> How can I do so? Patching the Makefile?

Yes, and I fear you also have to patch the sources so that the application looks up the files in the right place. But that shouldn't be too complicated. I'll have a look at this later today.

 
> My idea
> was a sed command to change this line conditionally. But I've no idea how "sed"
> works... Of course, for now the x86_64 build still fails.

Yes, using sed is a good idea. Something like this (in %prep) should do the job:

%if %{_arch} == x86_64
sed -i 's/ppc386/ppcx64/' asforza4/Makefile
%endif

This sed command replaces (*s*ubstitutes) the character sequence "ppc32" by "ppcx64" in the given Makefile.
Comment 4 Martin Gieseking 2011-07-04 15:51:27 EDT
Created attachment 511221 [details]
move themes and guile files to /usr/share/asforza4

Here's a patch that modifies the main Makefile and the sources to use %{_datadir}/%{name} for the themes and guile files. You also have to add 
ASDATADIR='%{_datadir}/%{name}' 
to make in %build and 
ASDATADIR=$RPM_BUILD_ROOT%{_datadir}/%{name}
to make install.

I'm not sure how the app is supposed to work. It always terminates with 
X Error of failed request:  BadName (named color or font does not exist)
  Major opcode of failed request:  45 (X_OpenFont)
  Serial number of failed request:  71
  Current serial number in output stream:  77

Maybe an additional font has to be installed.
Comment 5 Mario Blättermann 2011-07-04 16:15:24 EDT
(In reply to comment #4)

> I'm not sure how the app is supposed to work. It always terminates with 
> X Error of failed request:  BadName (named color or font does not exist)
>   Major opcode of failed request:  45 (X_OpenFont)
>   Serial number of failed request:  71
>   Current serial number in output stream:  77
> 
> Maybe an additional font has to be installed.

It's missing obviously the font package "xorg-x11-fonts-misc" in "Requires", as some other of my dockapp packages.

Thanks for your hints and your patch. I'll have a look at it tomorrow.
Comment 6 Mario Blättermann 2011-07-17 08:07:07 EDT
Sorry for the horrible delay (and many thanks for the patch, of course). The package builds now for both i386 and x86_64:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3205101

New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/asforza4.spec
SRPM URL:
http://mariobl.fedorapeople.org/Review/SRPMS/asforza4-2.10-3.fc15.src.rpm
Comment 7 Martin Gieseking 2011-07-17 13:28:30 EDT
(In reply to comment #6)
> Sorry for the horrible delay (and many thanks for the patch, of course). 

Not a problem at all. I've also been pretty busy lately.

> The package builds now for both i386 and x86_64

Yes, partly. Unfortunately, the plugin binaries are not yet compiled on x86_64. As you can see in the build log [1], option -fPIC is still missing when calling gcc -shared. You should patch the Makefiles in the subfolders as mentioned in comment #1. If you need help with this, let me know.

In the previously attached patch, I forgot to adapt another line of file asforza4.c: Replace ASLIBDIR with ASDATADIR in line 2538 too. Otherwise, the app doesn't find the themes.

As a cosmetic improvement I suggest to use consistent patch filename extensions (.patch is probably the most common one).

[1] http://koji.fedoraproject.org/koji/getfile?taskID=3205320&name=build.log
Comment 8 Mario Blättermann 2012-07-29 08:16:08 EDT
After a long, long time I've picked up asforza4 again. Well, I'm playing the game from time to time, but I don't use any plugins.

(In reply to comment #7)
> > The package builds now for both i386 and x86_64
> 
> Yes, partly. Unfortunately, the plugin binaries are not yet compiled on
> x86_64. As you can see in the build log [1], option -fPIC is still missing
> when calling gcc -shared. You should patch the Makefiles in the subfolders
> as mentioned in comment #1. If you need help with this, let me know.
I can't found any occurences of gcc -shared without $OPT within the subfolders... In any case, there is a problem, because asforza4 crashes once I try to use a plugin (I'm working on x86_64 now). 
> 
> In the previously attached patch, I forgot to adapt another line of file
> asforza4.c: Replace ASLIBDIR with ASDATADIR in line 2538 too. Otherwise, the
> app doesn't find the themes.
> 
Done.
> As a cosmetic improvement I suggest to use consistent patch filename
> extensions (.patch is probably the most common one).
> 
Done. Theming works perfectly now.

My idea for the final package: Let asforza4 be what it is, a game and only a game. I would prefer to drop the plugin stuff from the package with %exclude. Better I try to package some other dockapps to have a separate mail checker and so on.

Latest files:
SPEC URL: http://mariobl.fedorapeople.org/Review/SPECS/asforza4.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/asforza4-2.10-4.fc17.src.rpm
Comment 9 Matthias Runge 2012-09-18 08:24:16 EDT
I'll do a review
Comment 10 Matthias Runge 2012-09-24 03:44:01 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[!]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[!]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)" For detailed output of
     licensecheck see file:
     /home/mrunge/review/718317-asforza4/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: asforza4-debuginfo-2.10-4.fc19.x86_64.rpm
          asforza4-2.10-4.fc19.src.rpm
          asforza4-2.10-4.fc19.x86_64.rpm
asforza4-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/asforza4-2.10/asforza4/asforza4.h
asforza4-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/asforza4-2.10/asforza4/net/net.c
asforza4-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/asforza4-2.10/asforza4/asforza4.c
asforza4-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/asforza4-2.10/asforza4/net/net.h
asforza4-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/asforza4-2.10/wmgeneral/misc.c
asforza4-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/asforza4-2.10/asforza4/guile_ext/asf4_ext_lib.h
asforza4-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/asforza4-2.10/asforza4/guile_ext/asf4_ext_lib.c
asforza4-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/asforza4-2.10/wmgeneral/list.c
asforza4-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/asforza4-2.10/wmgeneral/list.h
asforza4.src: W: spelling-error Summary(en_US) dockapp -> dock app, dock-app, paddock
asforza4.src: I: enchant-dictionary-not-found de
asforza4.src: W: spelling-error %description -l en_US dockable -> lockable, dock able, dock-able
asforza4.src: W: spelling-error %description -l en_US dockapps -> dock apps, dock-apps, paddocks
asforza4.src: W: spelling-error %description -l en_US Forza -> Fora
asforza4.src: W: spelling-error %description -l en_US italian -> Italian
asforza4.src:43: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 43)
asforza4.x86_64: W: spelling-error Summary(en_US) dockapp -> dock app, dock-app, paddock
asforza4.x86_64: W: spelling-error %description -l en_US dockable -> lockable, dock able, dock-able
asforza4.x86_64: W: spelling-error %description -l en_US dockapps -> dock apps, dock-apps, paddocks
asforza4.x86_64: W: spelling-error %description -l en_US Forza -> Fora
asforza4.x86_64: W: spelling-error %description -l en_US italian -> Italian
asforza4.x86_64: E: statically-linked-binary /usr/bin/forza44as
asforza4.x86_64: W: only-non-binary-in-usr-lib
asforza4.x86_64: E: incorrect-fsf-address /usr/share/asforza4/asf4_guile_ext/asf4_ext_lib.scm
asforza4.x86_64: E: incorrect-fsf-address /usr/lib64/asforza4/asf4_plugin/asf4_mailchk.scm
asforza4.x86_64: E: incorrect-fsf-address /usr/share/asforza4/asf4_guile_ext/asf4e_char_map.scm
asforza4.x86_64: E: incorrect-fsf-address /usr/share/doc/asforza4-2.10/COPYING
asforza4.x86_64: E: incorrect-fsf-address /usr/lib64/asforza4/asf4_plugin/asf4_pppmon.scm
asforza4.x86_64: W: no-manual-page-for-binary forza44as
asforza4.x86_64: W: no-manual-page-for-binary asforza4
3 packages and 0 specfiles checked; 15 errors, 14 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint asforza4
asforza4.x86_64: W: spelling-error Summary(en_US) dockapp -> dock app, dock-app, paddock
asforza4.x86_64: I: enchant-dictionary-not-found de
asforza4.x86_64: W: spelling-error %description -l en_US dockable -> lockable, dock able, dock-able
asforza4.x86_64: W: spelling-error %description -l en_US dockapps -> dock apps, dock-apps, paddocks
asforza4.x86_64: W: spelling-error %description -l en_US Forza -> Fora
asforza4.x86_64: W: spelling-error %description -l en_US italian -> Italian
asforza4.x86_64: W: ldd-failed /usr/bin/forza44as
asforza4.x86_64: E: statically-linked-binary /usr/bin/forza44as
asforza4.x86_64: W: only-non-binary-in-usr-lib
asforza4.x86_64: E: incorrect-fsf-address /usr/share/asforza4/asf4_guile_ext/asf4_ext_lib.scm
asforza4.x86_64: E: incorrect-fsf-address /usr/lib64/asforza4/asf4_plugin/asf4_mailchk.scm
asforza4.x86_64: E: incorrect-fsf-address /usr/share/asforza4/asf4_guile_ext/asf4e_char_map.scm
asforza4.x86_64: E: incorrect-fsf-address /usr/share/doc/asforza4-2.10/COPYING
asforza4.x86_64: E: incorrect-fsf-address /usr/lib64/asforza4/asf4_plugin/asf4_pppmon.scm
asforza4.x86_64: W: no-manual-page-for-binary forza44as
asforza4.x86_64: W: no-manual-page-for-binary asforza4
1 packages and 0 specfiles checked; 6 errors, 9 warnings.
# echo 'rpmlint-done:'

Requires
--------
asforza4-debuginfo-2.10-4.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

asforza4-2.10-4.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libX11.so.6()(64bit)  
    libXext.so.6()(64bit)  
    libXpm.so.4()(64bit)  
    libc.so.6()(64bit)  
    libdl.so.2()(64bit)  
    libguile.so.17()(64bit)  
    libpthread.so.0()(64bit)  
    rtld(GNU_HASH)  
    xorg-x11-fonts-misc  

Provides
--------
asforza4-debuginfo-2.10-4.fc19.x86_64.rpm:
    
    asforza4-debuginfo = 2.10-4.fc19
    asforza4-debuginfo(x86-64) = 2.10-4.fc19

asforza4-2.10-4.fc19.x86_64.rpm:
    
    asforza4 = 2.10-4.fc19
    asforza4(x86-64) = 2.10-4.fc19

MD5-sum check
-------------
http://downloads.sourceforge.net/asforza4/asforza4-2.10.tar.gz :
  CHECKSUM(SHA256) this package     : 819ae192ee34977869e4a938d31478dec06bc48138ec6b1a819a3aaad7ab9165
  CHECKSUM(SHA256) upstream package : 819ae192ee34977869e4a938d31478dec06bc48138ec6b1a819a3aaad7ab9165


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 718317



Oh well,
currently found so far:
- cd-misc is bundled (in asf4_cdp-1.0)
- libcdplay in asf4_cdp-1-0 comes from libcdplay, which was also forked by another person, and then used here
- wmgeneral looks like copied from WindowMaker, a version dated in 1993/1997; do you really want to support this old stuff?

[mrunge@turing results]$ rpm -qlp asforza4-2.10-4.fc19.x86_64.rpm 
/usr/bin/asforza4
/usr/bin/forza44as
/usr/lib64/asforza4
/usr/lib64/asforza4/asf4_plugin
/usr/lib64/asforza4/asf4_plugin/asf4_mailchk.scm
/usr/lib64/asforza4/asf4_plugin/asf4_pppmon.scm
/usr/share/asforza4
/usr/share/asforza4/asf4_guile_ext
/usr/share/asforza4/asf4_guile_ext/asf4_ext_lib.scm
/usr/share/asforza4/asf4_guile_ext/asf4e_char_map.scm
/usr/share/asforza4/asf4_guile_ext/asf4e_string_lib.scm
/usr/share/asforza4/asf4_themes
/usr/share/asforza4/asf4_themes/asf4_CtrlZbg.xpm
/usr/share/asforza4/asf4_themes/asf4_asf4.xpm
/usr/share/asforza4/asf4_themes/asf4_blackbox.xpm
/usr/share/asforza4/asf4_themes/asf4_default.xpm
/usr/share/asforza4/asf4_themes/asf4_duke.xpm
/usr/share/asforza4/asf4_themes/asf4_linux.xpm
/usr/share/asforza4/asf4_themes/asf4_sexy1.xpm
/usr/share/doc/asforza4-2.10
/usr/share/doc/asforza4-2.10/COPYING
/usr/share/doc/asforza4-2.10/ChangeLog
/usr/share/doc/asforza4-2.10/README

OK, it looks like you didn't copy that stuff into the rpm. I'd remove that bundled stuff totally in %prep section


You must get rid of forza44as:
[mrunge@turing asforza4]$ ldd forza44as
	not a dynamic executable
forza44as: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), statically linked, for GNU/Linux 2.4.0, BuildID[sha1]=0x223a1cf33848be10ee008bf3e0469a8312cd103a, stripped
Comment 11 Mario Blättermann 2012-09-24 05:30:24 EDT
(In reply to comment #10) 
> You must get rid of forza44as:
> [mrunge@turing asforza4]$ ldd forza44as
> 	not a dynamic executable
> forza44as: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), statically
> linked, for GNU/Linux 2.4.0,
> BuildID[sha1]=0x223a1cf33848be10ee008bf3e0469a8312cd103a, stripped

This is the CPU player of asforza4. Without that, the game would become almost unusable, it would be no longer possible to play against the computer, only human versus human. But the forza44as binary is built with Fedora's Pascal compiler, it is not bundled with the sources.
Comment 12 Mario Blättermann 2012-10-20 16:22:53 EDT
OK, here are the latest files:
SPEC URL: http://mariobl.fedorapeople.org/Review/SPECS/asforza4.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/asforza4-2.10-5.fc17.src.rpm

The plugins have been removed completely. Now we have no bundled stuff anymore. The theme files remain in the package and are still available from the GUI.

As already discussed elsewhere, the FreePascal compiler seems to be unable to produce dynamically linked binaries. And anyway, without forza44as I won't want to maintain this package.
Comment 13 Mario Blättermann 2012-11-15 04:25:12 EST
I'm no longer interested in to maintain this package, because it becomes more and more difficult to use dockapps in modern environments. Moreover, due to non-configurable high screen resolutions, the non-scalable dockapps are not really practical anymore.

Anyway, I keep the spec and srpm files at the current locations.